Subject: bug#54159: 29.0.50; `toggle-input-method' needs more user feedback

From: acdw <[email-masked]>
Date: Fri, 25 Feb 2022 13:00:53 -0600

On 2022-02-25 (Friday) at 12:55, Eli Zaretskii <[email-masked]> wrote:

>> From: Case Duckworth <[email-masked]>
>> Date: Fri, 25 Feb 2022 11:12:30 -0600
>> 
>> 
>> The other day I had some issues with typing that I could not figure out
>> the meaning of.  I checked my messages buffer, C-h m, etc., and nowhere
>> did I figure out that the issue was actually that I'd typed C-\
>> (fatfingered it) and toggled the input method to RFC 1345, which caused
>> & to trigger different inputs.
>> 
>> Shouldn't `toggle-input-method' include a message to the user?
>
> It would be an annoyance, because when people use an input method they
> typically toggle it on and off quite frequently.  Moreover, input
> method can also be toggled when typing at the prompt in the minibuffer
> (for example, when searching with Isearch or typing a file name at the
> prompt of "C-x C-f"), in which case displaying a message there will
> cause surprising effects.
>
> The input method is reflected on the mode line, and we think that's
> enough.

Ah, that explains the confusion -- sorry for the spurious bug report.  I have a highly-custom mode-line that doesn't include the input method.

-- 
~ acdw
acdw.net | breadpunk.club/~breadw